Enrich contacts
curl --request POST \
--url https://app.titanx.io/api/public/v2/contacts/enrich \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "jane.doe@example.com",
"linkedInUrl": "https://www.linkedin.com/in/jane-doe",
"companyLinkedInUrl": "https://www.linkedin.com/company/example-corp",
"website": "https://www.example.com",
"companyAccount": "<string>",
"contactCrmId": "<string>",
"phone": "<string>",
"phone2": "<string>",
"phone3": "<string>",
"phone4": "<string>",
"phone5": "<string>",
"phoneExt": "<string>",
"phoneType": "<string>",
"phone2Type": "<string>",
"phone3Type": "<string>",
"phone4Type": "<string>",
"phone5Type": "<string>"
}
],
"scoringType": "lightning"
}
'import requests
url = "https://app.titanx.io/api/public/v2/contacts/enrich"
payload = {
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "jane.doe@example.com",
"linkedInUrl": "https://www.linkedin.com/in/jane-doe",
"companyLinkedInUrl": "https://www.linkedin.com/company/example-corp",
"website": "https://www.example.com",
"companyAccount": "<string>",
"contactCrmId": "<string>",
"phone": "<string>",
"phone2": "<string>",
"phone3": "<string>",
"phone4": "<string>",
"phone5": "<string>",
"phoneExt": "<string>",
"phoneType": "<string>",
"phone2Type": "<string>",
"phone3Type": "<string>",
"phone4Type": "<string>",
"phone5Type": "<string>"
}
],
"scoringType": "lightning"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
firstName: '<string>',
lastName: '<string>',
email: 'jane.doe@example.com',
linkedInUrl: 'https://www.linkedin.com/in/jane-doe',
companyLinkedInUrl: 'https://www.linkedin.com/company/example-corp',
website: 'https://www.example.com',
companyAccount: '<string>',
contactCrmId: '<string>',
phone: '<string>',
phone2: '<string>',
phone3: '<string>',
phone4: '<string>',
phone5: '<string>',
phoneExt: '<string>',
phoneType: '<string>',
phone2Type: '<string>',
phone3Type: '<string>',
phone4Type: '<string>',
phone5Type: '<string>'
}
],
scoringType: 'lightning'
})
};
fetch('https://app.titanx.io/api/public/v2/contacts/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"totalRecordCount": 1,
"acceptedRecordCount": 1,
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"credits": {
"creditsCharged": 1,
"creditsRemaining": 1,
"costPerContact": 1,
"contactCount": 1
},
"error": {
"rejectedRecordCount": 1,
"records": [
{
"rejectedReason": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"linkedInUrl": "<string>",
"companyLinkedInUrl": "<string>",
"website": "<string>",
"companyAccount": "<string>",
"contactCrmId": "<string>",
"phone": "<string>",
"phone2": "<string>",
"phone3": "<string>",
"phone4": "<string>",
"phone5": "<string>",
"phoneExt": "<string>",
"phoneType": "<string>",
"phone2Type": "<string>",
"phone3Type": "<string>",
"phone4Type": "<string>",
"phone5Type": "<string>"
}
]
}
}Contact Data
Enrich contacts
Enrich contacts by finding additional contact information and phone numbers. Billing is per contact processed. Supports up to 1000 contacts per request.
POST
/
api
/
public
/
v2
/
contacts
/
enrich
Enrich contacts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I